<?php

require_once "../../../app/model/db.class.php";

//------------------------------------------


 
if ($_REQUEST['accion']=='info_comp_codigo'){

    $obj = new database();

    $codigo=$_REQUEST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' ;");
    $row=$obj->fetch_assoc($resultado);


    header("Content-type:text/xml");
    $textoXML= "<?xml version='1.0' encoding='ISO-8859-1'?>";
    
    if($obj->numero_de_filas($resultado)<>0)
    {
        $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
        $row=$obj->fetch_assoc($resultado);
        
        if($obj->numero_de_filas($resultado)<>0)
           {
                $infoper=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
                $datos=$obj->fetch_assoc($infoper);

                $textoXML.="<datos>";
                $textoXML.="<nombre>".($datos['p_apellido']." ".$datos['s_apellido']." ".$datos['p_nombre']." ".$datos['s_nombre'])."</nombre>";
                $textoXML.="<estado>".$row['estado']."</estado>";

                $textoXML.="</datos>";
           
           }else{
             $textoXML.="<datos>inac</datos>";
            }

               


    }else{
     $textoXML.="<datos>no</datos>";
    }

    echo $textoXML;

    $obj->disconnect();

}



if ($_REQUEST['accion']=='guardar_desercion'){

    $cod=$_REQUEST['cod'];
    $desercion=$_REQUEST['desercion'];
    $fecha=$_REQUEST['fecha'];
    $obser=($_REQUEST['obser']);
    
    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("insert into alumnos_desertores (codigo,fecha,clase_desercion,observaciones) values(
        '".$cod."','".$fecha."','".$desercion."','".$obser."');");

    $resultado=$obj->consulta("update matriculas set estado='I' where codigo='".$cod."' ;");

    $obj->disconnect();

    if($resultado){
        echo 'Registro Grabado';
    }
}

?>